Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.util
Class ProxyValueCollection

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--com.solarmetric.rd.kodo.util.ProxyValueCollection

All Implemented Interfaces:
  java.util.Collection, java.io.Serializable

public class ProxyValueCollection
extends java.util.AbstractCollection
implements java.io.Serializable

Map value collection that dirties the persistent/transactional field that owns the backing map on modification. The need to dirty the field on any modification mandates that this class must override all mutator methods of the base type. This may lead to multiple calls to the `PersistenceCapable.jdoMakeDirty(java.lang.String)` for one state change if one mutator method of the base type calls another.

See Also:
  Serialized Form

Constructor Summary
`ProxyValueCollection(java.util.Collection values, java.util.Set entrySet, java.lang.Object pc, java.lang.String fieldName, com.solarmetric.rd.kodo.util.ChangeManager cm)`

Method Summary
`boolean` | `add(java.lang.Object o)`
`java.util.Iterator` | `iterator()`
`int` | `size()`
`protected java.lang.Object` | `writeReplace()`

Methods inherited from class java.util.AbstractCollection
`addAll, clear, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`equals, hashCode`

Constructor Detail

### ProxyValueCollection

    public ProxyValueCollection(java.util.Collection values,
                                java.util.Set entrySet,
                                java.lang.Object pc,
                                java.lang.String fieldName,
                                com.solarmetric.rd.kodo.util.ChangeManager cm)

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Collection`
  Specified by:
    `size` in class `java.util.AbstractCollection`

### add

    public boolean add(java.lang.Object o)

  Specified by:
    `add` in interface `java.util.Collection`
  Overrides:
    `add` in class `java.util.AbstractCollection`

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `java.util.Collection`
  Specified by:
    `iterator` in class `java.util.AbstractCollection`

### writeReplace

    protected java.lang.Object writeReplace()
                                     throws java.io.ObjectStreamException

    `java.io.ObjectStreamException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.